CATMAN(8)

NUME
catman - creează și actualizează paginile de manual pre-formatate

REZUMAT
catman [-d?V] [-M path] [-C file] [section] ...

DESCRIERE
catman este utilizată pentru a crea un set actualizat de pagini de manual pre-formatate cunoscut ca pagini cat. Paginile cat sunt în general mult mai rapid de afișat decât paginile de manual originale, dar necesită spațiu de stocare extra. Decizia de a suporta paginile cat este acea a administratorului local, care trebuie să furnizeze directoare potrivite pentru a le conține. Opțiunile disponibile la catman sunt ierarhiile de pagini de manual și secțiunile de pre-formatat. Ierarhiile implicite sunt acelea specificate ca ierarhii de sistem în fișierul de configurare man-db, și secțiunile implicite sunt ori conținut delimitat de două puncte a variabilei de mediu $MANSECT ori setul standard compilat în man dacă $MANSECT nu este definit. Furnizarea a catman cu un set de nume de secțiune delimitate prin spații albe va suprascrie pe amândouă de mai sus. catman utilizează cache-ul bazei de date index asociat cu fiecare ierarhie pentru a determina care fișiere au nevoie să fie formatate.

OPȚIUNI

-d, --debug
    Tipărește informațiile de depanare.

-M path, --manpath=path
    Specifică o ierarhie de pagini de manual delimitată de două puncte alternativă. Implicit, aceasta este toate căile indicate de ierarhiile de sistem în fișierul de configurare man-db.

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-?, --help
    Tipărește un mesaj de ajutor și ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Afișează informațiile de versiune.

MEDIU

MANSECT
    Dacă $MANSECT este stabilită, valoarea acesteia este o listă de secțiuni delimitată de două puncte și este utilizată pentru a determina care secțiuni din manual să se caute și în ce ordine. Implicitul este „1 n l 8 3 0 2 5 4 9 6 7”, decât dacă este suprascrisă de directiva SECTION în /etc/man_db.conf.

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia este interpretată ca ierarhia de pagină de manual de utilizat separată prin două puncte.

FIȘIERE

/etc/man_db.conf
    fișier de configurare man-db.

/usr/man/index.(bt|db|dir|pag)
    Un cache de bază de date index global tradițional.

/var/catman/index.(bt|db|dir|pag)
    Un cache de baze de date indexglobal alternativ sau conform cu FSSTND.

VEDEȚI ȘI
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db